/*
 * generated by Xtext 2.25.0
 */
package org.polarsys.chess.xtext.ui;

import com.google.inject.Injector;
import org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory;
import org.osgi.framework.Bundle;
import org.osgi.framework.FrameworkUtil;
import org.polarsys.chess.xtext.fladsl.ui.internal.FladslActivator;

/**
 * This class was generated. Customizations should only happen in a newly
 * introduced subclass. 
 */
public class FlaDslExecutableExtensionFactory extends AbstractGuiceAwareExecutableExtensionFactory {

	@Override
	protected Bundle getBundle() {
		return FrameworkUtil.getBundle(FladslActivator.class);
	}
	
	@Override
	protected Injector getInjector() {
		FladslActivator activator = FladslActivator.getInstance();
		return activator != null ? activator.getInjector(FladslActivator.ORG_POLARSYS_CHESS_XTEXT_FLADSL) : null;
	}

}
